<?php
// +-----------------------------------------------------------------+
// |                   PhreeBooks Open Source ERP                    |
// +-----------------------------------------------------------------+
// | Copyright (c) 2008, 2009, 2010 PhreeSoft, LLC                   |
// | http://www.PhreeSoft.com                                        |
// +-----------------------------------------------------------------+
// | This program is free software: you can redistribute it and/or   |
// | modify it under the terms of the GNU General Public License as  |
// | published by the Free Software Foundation, either version 3 of  |
// | the License, or any later version.                              |
// |                                                                 |
// | This program is distributed in the hope that it will be useful, |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of  |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the   |
// | GNU General Public License for more details.                    |
// |                                                                 |
// | The license that is bundled with this package is located in the |
// | file: /doc/manual/ch01-Introduction/license.html.               |
// | If not, see http://www.gnu.org/licenses/                        |
// +-----------------------------------------------------------------+
//  Path: /includes/template_index.php
//

if ($custom_html) { // load the template only as the rest of the html will be generated by the template
  if (is_file($template_path)) { require($template_path); } else die('No template file. Looking for: ' . $template_path);
} else {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php echo HTML_PARAMS; ?>>
 <head>
  <!-- module: <?php echo $module; ?> - page: <?php echo $page; ?> -->
  <meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>" />
  <title><?php echo PAGE_TITLE; ?></title>
  <link rel="stylesheet" type="text/css" href="<?php echo DIR_WS_THEMES . 'css/stylesheet.css'; ?>" />
  <link rel="shortcut icon" type="image/ico" href="favicon.ico" />

  <script type="text/javascript">
  var module              = '<?php echo $module; ?>';
  var pbBrowser           = (document.all) ? 'IE' : 'FF';
  var sessionAutoRefresh  = <?php echo defined('SESSION_AUTO_REFRESH') ? SESSION_AUTO_REFRESH : 0; ?>;
  var text_search         = '<?php echo TEXT_SEARCH; ?>';
  var date_format         = '<?php echo DATE_FORMAT; ?>';
  var date_delimiter      = '<?php echo DATE_DELIMITER; ?>';
  var inactive_bg_color   = '#cccccc';
  var inactive_text_color = '#cccccc';
  // Variables for script generated combo boxes
  var icon_path           = '<?php echo DIR_WS_ICONS; ?>';
  var combo_image_on      = '<?php echo DIR_WS_ICONS . '16x16/phreebooks/pull_down_active.gif'; ?>';
  var combo_image_off     = '<?php echo DIR_WS_ICONS . '16x16/phreebooks/pull_down_inactive.gif'; ?>';
  </script>

<?php if (is_object($currencies)) { // will not be defined unless logged in and db defined ?>
  <script type="text/javascript">
  var decimal_places  = <?php echo $currencies->currencies[DEFAULT_CURRENCY]['decimal_places']; ?>;
  var decimal_precise = <?php echo $currencies->currencies[DEFAULT_CURRENCY]['decimal_precise']; ?>;
  var decimal_point   = "<?php echo $currencies->currencies[DEFAULT_CURRENCY]['decimal_point']; ?>";
  var thousands_point = "<?php echo $currencies->currencies[DEFAULT_CURRENCY]['thousands_point']; ?>";
  var formatted_zero  = "<?php echo $currencies->format(0); ?>";
  </script>
<?php } ?>

  <script type="text/javascript" src="modules/phreedom/includes/jquery/jquery-1.4.3.min.js"></script>
  <script type="text/javascript" src="includes/common.js"></script>

  <?php require_once(DIR_FS_ADMIN . 'themes/' . $_SESSION['theme'] . '/config.php'); ?>

  <?php
  // load the javascript specific, required
  $js_include_path = DIR_FS_WORKING . 'pages/' . $page . '/js_include.php';
  if (file_exists($js_include_path)) { require($js_include_path); } 
    else die('No js_include file, looking for the file: ' . $js_include_path);

  // load the custom javascript if present
  $js_include_path = DIR_FS_WORKING . 'custom/pages/' . $page . '/extra_js.php';
  if (file_exists($js_include_path)) { require($js_include_path); }
  $html_body_params = ($include_header) ? ' onload="init(); startClock();" onunload="endClock();"' : ' onload="init();"';
  ?>

</head>
<body<?php echo $html_body_params; ?>>
  <script type="text/javascript" src="modules/phreedom/includes/wz_tooltip/wz_tooltip.js"></script>
  <script type="text/javascript" src="modules/phreedom/includes/wz_tooltip/tip_balloon.js"></script>  

<!-- Menu -->
<?php require_once(DIR_FS_ADMIN . 'themes/' . $_SESSION['theme'] . '/menu.php'); ?>

<!-- Template -->
<div class="trans" id="transcontent">
<?php // load the template, required
if (is_file($template_path)) { require($template_path); } else die('No template file. Looking for: ' . $template_path);
?>
</div>

<?php if ($include_footer) {
  // Hook for custom logo
  $image_path = defined('FOOTER_LOGO') ? FOOTER_LOGO : (DIR_WS_ADMIN . 'modules/phreedom/images/phreesoft_logo.png');
?>
  <!-- Footer -->
  <div id="footertable">
  <br />
  <table width="100%">
    <tr>
      <td align="center">
	    <a href="http://www.PhreeBooks.com" target="_blank"><?php echo html_image($image_path, TEXT_PHREEDOM_INFO, NULL, '64'); ?></a>
	 </td>
    </tr>
    <tr>
      <td align="center" class="smallText">
<?php 
  $footer_info  = TEXT_PHREEDOM_INFO . ' (' . MODULE_PHREEDOM_VERSION . ') ';
  if ($module <> 'phreedom') $footer_info .= '(' . TEXT_MODULE . ': ' . $module . ' ' . constant('MODULE_' . strtoupper($module) . '_STATUS') . ') ';
  $footer_info .= TEXT_COPYRIGHT .  ' &copy;' . date('Y') . ' <a href="http://www.PhreeSoft.com" target="_blank">PhreeSoft, LLC&trade;</a>';
  $footer_info .= '(' . (int)(1000 * (microtime(true) - PAGE_EXECUTION_START_TIME)) . ' ms) ' . $db->count_queries . ' SQLs (' . (int)($db->total_query_time * 1000).' ms)';
  echo $footer_info;
?>
	 </td>
    </tr>
  </table>
  <?php //echo '<tr><td class="smallText">Session Variables=<br />'; print_r($_SESSION); echo '</td></tr>'; ?>
  </div>
<?php } // end if include_footer ?>

</body>
</html>
<?php } // end else if (custom_html) ?>
