<?php
// +-----------------------------------------------------------------+
// |                   PhreeBooks Open Source ERP                    |
// +-----------------------------------------------------------------+
// | Copyright (c) 2008, 2009, 2010 PhreeSoft, LLC                   |
// | http://www.PhreeSoft.com                                        |
// +-----------------------------------------------------------------+
// | This program is free software: you can redistribute it and/or   |
// | modify it under the terms of the GNU General Public License as  |
// | published by the Free Software Foundation, either version 3 of  |
// | the License, or any later version.                              |
// |                                                                 |
// | This program is distributed in the hope that it will be useful, |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of  |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the   |
// | GNU General Public License for more details.                    |
// |                                                                 |
// | The license that is bundled with this package is located in the |
// | file: /doc/manual/ch01-Introduction/license.html.               |
// | If not, see http://www.gnu.org/licenses/                        |
// +-----------------------------------------------------------------+
//  Path: /modules/inventory/pages/assemblies/js_include.php
//

?>
<script type="text/javascript">
<!--
// pass any php variables generated during pre-process that are used in the javascript functions.
// Include translations here as well.
var securityLevel = <?php echo $security_level; ?>;
<?php echo js_calendar_init($cal_assy); ?>

function init() {
  document.getElementById('sku_1').focus();
<?php if ($action == 'edit') echo '  EditAssembly(' . $oID . ')'; ?>

}

function check_form() {
  var error = 0;
  var error_message = "<?php echo JS_ERROR; ?>";

  var sku = document.getElementById('sku_1').value;
  if (sku == '') { // check for sku not blank
  	error_message += '<?php echo JS_NO_SKU_ENTERED; ?>';
	error = 1;
  }

  var qty = document.getElementById('qty_1').value;
  if (qty == '' || qty == '0') { // check for quantity non-zero
  	error_message += '<?php echo JS_ASSY_VALUE_ZERO; ?>';
	error = 1;
  }

  if (error == 1) {
    alert(error_message);
    return false;
  }
  return true;
}

// Insert other page specific functions here.
function clearForm() {
  document.getElementById('id').value                  = 0;
  document.getElementById('store_id').value            = 0;
  document.getElementById('purchase_invoice_id').value = '';
  document.getElementById('post_date').value           = '<?php echo date(DATE_FORMAT, time()); ?>';
  document.getElementById('sku_1').value               = '';
  document.getElementById('serial_1').value            = '';
  document.getElementById('desc_1').value              = '';
  document.getElementById('stock_1').value             = '0';
  document.getElementById('qty_1').value               = '';
  document.getElementById('bal_1').value               = '';
  // delete the current rows, if any
  while (document.getElementById("item_table").rows.length > 1) document.getElementById("item_table").deleteRow(-1);
}

function InventoryList() {
  var bID = document.getElementById('store_id').value;
  var sku = document.getElementById('sku_1').value;
  window.open("index.php?module=inventory&page=popup_inv&list=1&type=v&f1=as&storeID="+bID+"&search_text="+sku,"inventory","width=700,height=550,resizable=1,scrollbars=1,top=150,left=200");
}

function OpenAssyList() {
  clearForm();
  window.open("index.php?module=inventory&page=popup_assy&list=1","inv_assy_open","width=700,height=550,resizable=1,scrollbars=1,top=150,left=200");
}

function EditAssembly(rID) {
    $.ajax({
      type: "GET",
      contentType: "application/json; charset=utf-8",
	  url: 'index.php?module=phreebooks&page=ajax&op=load_record&rID='+rID,
      dataType: ($.browser.msie) ? "text" : "xml",
      error: function(XMLHttpRequest, textStatus, errorThrown) {
        alert ("Ajax Error: " + XMLHttpRequest.responseText + "\nTextStatus: " + textStatus + "\nErrorThrown: " + errorThrown);
      },
	  success: processEditAssembly,
    });
}

function processEditAssembly(sXml) {
  var sku = '';
  var xml = parseXml(sXml);
  if (!xml) return;
  var id = $(xml).find("id").first().text();
  document.getElementById('id').value                  = id;
  document.getElementById('store_id').value            = $(xml).find("store_id").text();
  document.getElementById('purchase_invoice_id').value = $(xml).find("purchase_invoice_id").text();
  document.getElementById('post_date').value           = formatDate($(xml).find("post_date").first().text());
  // turn off some icons
  if (id && securityLevel < 3) removeElement('tb_main_0', 'tb_icon_save');
  // fill item rows
  $(xml).find("items").each(function() {
	var type = $(this).find("gl_type").text();
	switch (type) {
	  case 'ttl':
	    break;
	  case 'asy':
		sku = $(this).find("sku").text();
		document.getElementById('sku_1').value    = sku;
		document.getElementById('serial_1').value = $(this).find("serialize").text();
		document.getElementById('desc_1').value   = $(this).find("description").text();
		document.getElementById('qty_1').value    = $(this).find("qty").text();
	  default: // do nothing
	}
  });
  loadSkuStock(sku);
}

function loadSkuStock(sku) {
  var bID = document.getElementById('store_id').value;
  $.ajax({
    type: "GET",
    contentType: "application/json; charset=utf-8",
	url: 'index.php?module=inventory&page=ajax&op=inv_details&fID=skuDetails&sku='+sku+'&bID='+bID+'&strict=1',
    dataType: ($.browser.msie) ? "text" : "xml",
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert ("Ajax Error: " + XMLHttpRequest.responseText + "\nTextStatus: " + textStatus + "\nErrorThrown: " + errorThrown);
    },
	success: processSkuDetails,
  });
}

function loadSkuDetails(iID) {
  var bID = document.getElementById('store_id').value;
  $.ajax({
    type: "GET",
    contentType: "application/json; charset=utf-8",
	url: 'index.php?module=inventory&page=ajax&op=inv_details&fID=skuDetails&iID='+iID+'&bID='+bID,
    dataType: ($.browser.msie) ? "text" : "xml",
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert ("Ajax Error: " + XMLHttpRequest.responseText + "\nTextStatus: " + textStatus + "\nErrorThrown: " + errorThrown);
    },
	success: processSkuDetails,
  });
}

function processSkuDetails(sXml) { // call back function
  var text = '';
  var xml = parseXml(sXml);
  if (!xml) return;
  document.getElementById('sku_1').value       = $(xml).find("sku").text();
  document.getElementById('sku_1').style.color = '';
  if (document.getElementById('desc_1').value == '') { // do not overwrite if already there
    document.getElementById('desc_1').value    = $(xml).find("description_purchase").text();
  }
  document.getElementById('stock_1').value     = $(xml).find("branch_qty_in_stock").text();
  var type = $(xml).find("inventory_type").text();
  if (type=='sr' || type=='sa') document.getElementById('serial_row').style.display = '';
  // clear list and add the new data
  while (document.getElementById("item_table").rows.length > 1) document.getElementById("item_table").deleteRow(-1);
  var j = 1;
  $(xml).find("bom").each(function() {
	addListRow();
	document.getElementById('assy_sku_'+j).value  = $(this).find("bom_sku").text();
	document.getElementById('assy_desc_'+j).value = $(this).find("bom_description_short").text();
	document.getElementById('qty_reqd_'+j).value  = $(this).find("bom_qty").text();
	document.getElementById('assy_qty_'+j).value  = $(this).find("bom_qty").text();
	document.getElementById('stk_'+j).value       = $(this).find("bom_quantity_on_hand").text();
    j++;
  });
  addListRow();
  document.getElementById('assy_desc_'+j).value = '<?php echo TEXT_TOTAL; ?>';
  updateBalance();
}

function addListRow() {
	var cell     = new Array(2);
	var newRow   = document.getElementById("item_table").insertRow(-1);
	var rowCnt   = newRow.rowIndex;
	var newCella = newRow.insertCell(-1); // sku data
	newCella.innerHTML = '<td class="main" align="right"><input type="text" name="assy_sku_'+rowCnt+'" id="assy_sku_'+rowCnt+'" readonly="readonly" size="15"><\/td>';
	var newCellb = newRow.insertCell(-1); // description data
	newCellb.innerHTML = '<td class="main" align="right"><input type="text" name="assy_desc_'+rowCnt+'" id="assy_desc_'+rowCnt+'" readonly="readonly" size="35"><\/td>';
	var newCellc = newRow.insertCell(-1); // qty required
	newCellc.innerHTML = '<td class="main" align="right"><input type="hidden" name="qty_reqd_'+rowCnt+'" id="qty_reqd_'+rowCnt+'"><input type="text" name="assy_qty_'+rowCnt+'" id="assy_qty_'+rowCnt+'" readonly="readonly" style="text-align:right" size="10"><\/td>';
	var newCelld = newRow.insertCell(-1); // qty in stock
	newCelld.innerHTML = '<td class="main" align="right"><input type="text" name="stk_'+rowCnt+'" id="stk_'+rowCnt+'" readonly="readonly" style="text-align:right" size="10"><\/td>';
}

function removeListRow(delRowCnt) {
  document.getElementById("item_table").deleteRow(-1);
} 

function checkBalances() {
	var qtyNeeded;
	var qtyStock;
	var qtyCheck;
	var error = false;
	for (var i=1; i<document.getElementById('item_table').rows.length-1; i++) {
		qtyNeeded = document.getElementById('assy_qty_'+i).value;
		qtyStock = document.getElementById('stk_'+i).value;
		qtyCheck = qtyStock - qtyNeeded;
		if (qtyCheck < 0) {
			document.getElementById('stk_'+i).style.color = 'red';
			error = true;
		} else {
			document.getElementById('stk_'+i).style.color = '';
		}
	}
	if (error) alert('<?php echo JS_NOT_ENOUGH_PARTS; ?>');
}

function updateBalance() {
	var qtyMin, newQtyNeeded, totalNeeded, totalAvailable;
	var stock = parseFloat(document.getElementById('stock_1').value);
	if (isNaN(stock)) stock = 0;
	var build = parseFloat(document.getElementById('qty_1').value);
	if (isNaN(build)) {
		build = 0;
	} else {
		totalNeeded    = 0;
		totalAvailable = 0;
		// update qty required
		for (var i=1; i<document.getElementById('item_table').rows.length-1; i++) {
			qtyMin          = parseFloat(document.getElementById('qty_reqd_'+i).value);
			newQtyNeeded    = build * qtyMin;
			totalNeeded    += newQtyNeeded;
			totalAvailable += parseFloat(document.getElementById('stk_'+i).value);
			document.getElementById('assy_qty_'+i).value = newQtyNeeded;
		}
		document.getElementById('assy_qty_'+i).value = totalNeeded;
		document.getElementById('stk_'+i).value      = totalAvailable;
	}
	var st = new String(stock + build);
	document.getElementById('bal_1').value = st;
	checkBalances();
}

// -->
</script>