<?php
// +-----------------------------------------------------------------+
// |                   PhreeBooks Open Source ERP                    |
// +-----------------------------------------------------------------+
// | Copyright (c) 2008, 2009, 2010 PhreeSoft, LLC                   |
// | http://www.PhreeSoft.com                                        |
// +-----------------------------------------------------------------+
// | This program is free software: you can redistribute it and/or   |
// | modify it under the terms of the GNU General Public License as  |
// | published by the Free Software Foundation, either version 3 of  |
// | the License, or any later version.                              |
// |                                                                 |
// | This program is distributed in the hope that it will be useful, |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of  |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the   |
// | GNU General Public License for more details.                    |
// |                                                                 |
// | The license that is bundled with this package is located in the |
// | file: /doc/manual/ch01-Introduction/license.html.               |
// | If not, see http://www.gnu.org/licenses/                        |
// +-----------------------------------------------------------------+
//  Path: /modules/phreebooks/config.php
//

// Release History
// 2.1 => 2010-09-01 - Converted from stand-alone PhreeBooks release
// Module software version information
define('MODULE_PHREEBOOKS_VERSION',    '3.0');
// Menu Sort Positions
define('MENU_HEADING_BANKING_ORDER',      40);
define('MENU_HEADING_GL_ORDER',           50);
define('MENU_HEADING_TOOLS_ORDER',        70);
// Menu Security id's (refer to master doc to avoid security setting overlap)
define('SECURITY_ID_SEARCH',               4);
define('SECURITY_ID_GEN_ADMIN_TOOLS',     19);
define('SECURITY_ID_SALES_ORDER',         28);
define('SECURITY_ID_SALES_QUOTE',         29);
define('SECURITY_ID_SALES_INVOICE',       30);
define('SECURITY_ID_SALES_CREDIT',        31);
define('SECURITY_ID_SALES_STATUS',        32);
define('SECURITY_ID_POINT_OF_SALE',       33);
define('SECURITY_ID_INVOICE_MGR',         34);
define('SECURITY_ID_QUOTE_STATUS',        35);
define('SECURITY_ID_PURCHASE_ORDER',      53);
define('SECURITY_ID_PURCHASE_QUOTE',      54);
define('SECURITY_ID_PURCHASE_INVENTORY',  55);
define('SECURITY_ID_POINT_OF_PURCHASE',   56);
define('SECURITY_ID_PURCHASE_CREDIT',     57);
define('SECURITY_ID_PURCHASE_STATUS',     58);
define('SECURITY_ID_RFQ_STATUS',          59);
define('SECURITY_ID_SELECT_PAYMENT',     101);
define('SECURITY_ID_CUSTOMER_RECEIPTS',  102);
define('SECURITY_ID_PAY_BILLS',          103);
define('SECURITY_ID_ACCT_RECONCILIATION',104);
define('SECURITY_ID_ACCT_REGISTER',      105);
define('SECURITY_ID_VOID_CHECKS',        106);
define('SECURITY_ID_CUSTOMER_PAYMENTS',  107);
define('SECURITY_ID_VENDOR_RECEIPTS',    108);
define('SECURITY_ID_CUSTOMER_DEPOSITS',  109);
define('SECURITY_ID_VENDOR_DEPOSITS',    110);
define('SECURITY_ID_JOURNAL_ENTRY',      126);
define('SECURITY_ID_GL_BUDGET',          129);
// New Database Tables
define('TABLE_ACCOUNTING_PERIODS',        DB_PREFIX . 'accounting_periods');
define('TABLE_ACCOUNTS_HISTORY',          DB_PREFIX . 'accounts_history');
define('TABLE_CHART_OF_ACCOUNTS',         DB_PREFIX . 'chart_of_accounts');
define('TABLE_CHART_OF_ACCOUNTS_HISTORY', DB_PREFIX . 'chart_of_accounts_history');
define('TABLE_JOURNAL_ITEM',              DB_PREFIX . 'journal_item');
define('TABLE_JOURNAL_MAIN',              DB_PREFIX . 'journal_main');
define('TABLE_TAX_AUTH',                  DB_PREFIX . 'tax_authorities');
define('TABLE_TAX_RATES',                 DB_PREFIX . 'tax_rates');
define('TABLE_RECONCILIATION',            DB_PREFIX . 'reconciliation');

if (defined('MODULE_PHREEBOOKS_STATUS')) {
  // Set the title menu
  $pb_headings[MENU_HEADING_BANKING_ORDER] = array(
    'text' => MENU_HEADING_BANKING, 
    'link' => html_href_link(FILENAME_DEFAULT, 'module=phreedom&amp;page=main&amp;mID=cat_bnk', 'SSL'),
  );
  $pb_headings[MENU_HEADING_GL_ORDER] = array(
    'text' => MENU_HEADING_GL, 
    'link' => html_href_link(FILENAME_DEFAULT, 'module=phreedom&amp;page=main&amp;mID=cat_gl', 'SSL'),
  );
  $pb_headings[MENU_HEADING_TOOLS_ORDER] = array(
    'text' => MENU_HEADING_TOOLS, 
    'link' => html_href_link(FILENAME_DEFAULT, 'module=phreedom&amp;page=main&amp;mID=cat_tools', 'SSL'),
  );
  // Set the menus
  $menu[] = array(
    'text'        => BOX_BANKING_CUSTOMER_RECEIPTS,
    'heading'     => MENU_HEADING_BANKING,
    'rank'        => 5,
    'security_id' => SECURITY_ID_CUSTOMER_RECEIPTS,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=bills&amp;jID=18&amp;type=c', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_BANKING_CUSTOMER_DEPOSITS,
    'heading'     => MENU_HEADING_BANKING,
    'rank'        => 10,
    'security_id' => SECURITY_ID_CUSTOMER_DEPOSITS,
    'hidden'      => $_SESSION['admin_security'][SECURITY_ID_CUSTOMER_DEPOSITS] > 1 ? false : true,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=bills_deposit&amp;type=c', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_BANKING_PAY_BILLS,
    'heading'     => MENU_HEADING_BANKING,
    'rank'        => 15,
    'security_id' => SECURITY_ID_PAY_BILLS,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=bills&amp;jID=20&amp;type=v', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_BANKING_SELECT_FOR_PAYMENT,
    'heading'     => MENU_HEADING_BANKING,
    'rank'        => 20,
    'security_id' => SECURITY_ID_SELECT_PAYMENT,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=bulk_bills', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_BANKING_BANK_ACCOUNT_REGISTER,
    'heading'     => MENU_HEADING_BANKING,
    'rank'        => 25,
    'security_id' => SECURITY_ID_ACCT_REGISTER,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=register', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_BANKING_ACCOUNT_RECONCILIATION,
    'heading'     => MENU_HEADING_BANKING,
    'rank'        => 30,
    'security_id' => SECURITY_ID_ACCT_RECONCILIATION,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=reconciliation', 'SSL'),
  );
/*
  $menu[] = array(
    'text'        => BOX_BANKING_VOID_CHECKS,
    'heading'     => MENU_HEADING_BANKING,
    'rank'        => 35,
    'security_id' => SECURITY_ID_VOID_CHECKS,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=', 'SSL'),
  );
*/
  $menu[] = array(
    'text'        => BOX_BANKING_CUSTOMER_PAYMENTS,
    'heading'     => MENU_HEADING_BANKING,
    'rank'        => 40,
    'security_id' => SECURITY_ID_CUSTOMER_PAYMENTS,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=bills&amp;jID=20&amp;type=c', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_BANKING_VENDOR_RECEIPTS,
    'heading'     => MENU_HEADING_BANKING,
    'rank'        => 45,
    'security_id' => SECURITY_ID_VENDOR_RECEIPTS,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=bills&amp;jID=18&amp;type=v', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_BANKING_VENDOR_DEPOSITS,
    'heading'     => MENU_HEADING_BANKING,
    'rank'        => 50,
    'security_id' => SECURITY_ID_VENDOR_DEPOSITS,
    'hidden'      => $_SESSION['admin_security'][SECURITY_ID_VENDOR_DEPOSITS] > 1 ? false : true,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=bills_deposit&amp;type=v', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_AR_QUOTE, 
    'heading'     => MENU_HEADING_CUSTOMERS, 
    'rank'        => 20, 
    'security_id' => SECURITY_ID_SALES_QUOTE, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=orders&amp;jID=9', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_AR_QUOTE_STATUS, 
    'heading'     => MENU_HEADING_CUSTOMERS, 
    'rank'        => 25, 
    'security_id' => SECURITY_ID_QUOTE_STATUS, 
   'link'         => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=status&amp;jID=9&amp;list=1', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_AR_SALES_ORDER, 
    'heading'     => MENU_HEADING_CUSTOMERS, 
    'rank'        => 30, 
    'security_id' => SECURITY_ID_SALES_ORDER, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=orders&amp;jID=10', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_AR_ORDER_STATUS, 
    'heading'     => MENU_HEADING_CUSTOMERS, 
    'rank'        => 35, 
    'security_id' => SECURITY_ID_SALES_STATUS, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=status&amp;jID=10&amp;list=1', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_AR_INVOICE, 
    'heading'     => MENU_HEADING_CUSTOMERS, 
    'rank'        => 40, 
    'security_id' => SECURITY_ID_SALES_INVOICE, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=orders&amp;jID=12', 'SSL'),
  );
/*
  $menu[] = array(
    'text'        => BOX_AR_POINT_OF_SALE,
    'heading'     => MENU_HEADING_CUSTOMERS,
    'rank'        => 45,
    'security_id' => SECURITY_ID_POINT_OF_SALE,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=orders&amp;jID=19', 'SSL'),
  );
*/
  $menu[] = array(
    'text'        => BOX_AR_INVOICE_MGR, 
    'heading'     => MENU_HEADING_CUSTOMERS, 
    'rank'        => 50, 
    'security_id' => SECURITY_ID_INVOICE_MGR, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=inv_mgr&amp;list=1', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_AR_CREDIT_MEMO, 
    'heading'     => MENU_HEADING_CUSTOMERS, 
    'rank'        => 55, 
    'security_id' => SECURITY_ID_SALES_CREDIT, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=orders&amp;jID=13', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_AP_REQUEST_QUOTE, 
    'heading'     => MENU_HEADING_VENDORS, 
    'rank'        => 20, 
    'security_id' => SECURITY_ID_PURCHASE_QUOTE, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=orders&amp;jID=3', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_AP_RFQ_STATUS, 
    'heading'     => MENU_HEADING_VENDORS, 
    'rank'        => 25, 
    'security_id' => SECURITY_ID_RFQ_STATUS, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=status&amp;jID=3&amp;list=1', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_AP_PURCHASE_ORDER, 
    'heading'     => MENU_HEADING_VENDORS, 
    'rank'        => 30, 
    'security_id' => SECURITY_ID_PURCHASE_ORDER, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=orders&amp;jID=4', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_AP_ORDER_STATUS, 
    'heading'     => MENU_HEADING_VENDORS, 
    'rank'        => 35, 
   'security_id' => SECURITY_ID_PURCHASE_STATUS, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=status&amp;jID=4&amp;list=1', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_AP_RECEIVE_INVENTORY, 
    'heading'     => MENU_HEADING_VENDORS, 
    'rank'        => 40, 
    'security_id' => SECURITY_ID_PURCHASE_INVENTORY, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=orders&amp;jID=6', 'SSL'),
  );
  /*
  $menu[] = array(
    'text'        => BOX_AP_POINT_OF_PURCHASE,
    'heading'     => MENU_HEADING_VENDORS,
    'rank'        => 45,
    'security_id' => SECURITY_ID_POINT_OF_PURCHASE,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=orders&amp;jID=21', 'SSL'),
  );
*/
  $menu[] = array(
    'text'        => BOX_AP_CREDIT_MEMO, 
    'heading'     => MENU_HEADING_VENDORS, 
    'rank'        => 50, 
    'security_id' => SECURITY_ID_PURCHASE_CREDIT, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=orders&amp;jID=7', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_GL_JOURNAL_ENTRY, 
    'heading'     => MENU_HEADING_GL, 
    'rank'        => 5, 
    'security_id' => SECURITY_ID_JOURNAL_ENTRY, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=journal', 'SSL'),
  );
  $menu[] = array(
    'text'        => TEXT_SEARCH,
    'heading'     => MENU_HEADING_GL,
    'rank'        => 10,
    'security_id' => SECURITY_ID_SEARCH, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=search&amp;journal_id=-1', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_GL_BUDGET, 
    'heading'     => MENU_HEADING_GL, 
    'rank'        => 50, 
    'security_id' => SECURITY_ID_GL_BUDGET, 
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=budget', 'SSL'),
  );
  $menu[] = array(
    'text'        => BOX_HEADING_ADMIN_TOOLS,
    'heading'     => MENU_HEADING_GL,
    'rank'        => 70,
    'security_id' => SECURITY_ID_GEN_ADMIN_TOOLS, 
    'hidden'      => $_SESSION['admin_security'][SECURITY_ID_GEN_ADMIN_TOOLS] > 3 ? false : true,
    'link'        => html_href_link(FILENAME_DEFAULT, 'module=phreebooks&amp;page=admin_tools', 'SSL'),
  );
}

?>