<?php
// +-----------------------------------------------------------------+
// |                   PhreeBooks Open Source ERP                    |
// +-----------------------------------------------------------------+
// | Copyright (c) 2008, 2009, 2010 PhreeSoft, LLC                   |
// | http://www.PhreeSoft.com                                        |
// +-----------------------------------------------------------------+
// | This program is free software: you can redistribute it and/or   |
// | modify it under the terms of the GNU General Public License as  |
// | published by the Free Software Foundation, either version 3 of  |
// | the License, or any later version.                              |
// |                                                                 |
// | This program is distributed in the hope that it will be useful, |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of  |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the   |
// | GNU General Public License for more details.                    |
// |                                                                 |
// | The license that is bundled with this package is located in the |
// | file: /doc/manual/ch01-Introduction/license.html.               |
// | If not, see http://www.gnu.org/licenses/                        |
// +-----------------------------------------------------------------+
//  Path: /modules/phreedom/ajax/tab_details.php
//

/**************   page specific initialization  *************************/
$fID = $_GET['fID'] ? $_GET['fID'] : 'adminTabPage';

/**************   Check user security   *****************************/
$security_level = $_SESSION['admin_security'][SECURITY_ID_CONFIGURATION];
if ($security_level == 0) { // no permission to enter page, return error
  echo createXmlHeader($fID) . xmlEntry('error', ERROR_NO_PERMISSION) . createXmlFooter(); die;
}

/**************  include page specific files    *********************/
gen_pull_language($_GET['mod'], 'admin');

/**************   page specific initialization  *************************/
$page    = $_GET['mod'];
$subject = $_GET['subject'];
$action  = $_GET['action'];
$rID     = $_GET['rID'];
$xml     = NULL;

if (!$page || !subject) die('no subject or module');
if (!$_GET['list']) $_GET['list'] = 1;
if (!$action) $action = 'go_first';

require_once(DIR_FS_MODULES . $page . '/classes/' . $subject . '.php');
$my_class = new $subject();
$my_class->message = false;

switch ($action) {
  case 'delete':      if ($rID) $my_class->btn_delete($rID); break;
  case 'update':      $my_class->btn_update($rID); break;
  case 'go_first':    $_GET['list'] = 1;     break;
  case 'go_previous': $_GET['list']--;       break;
  case 'go_next':     $_GET['list']++;       break;
  case 'go_last':     $_GET['list'] = 99999; break;
  case 'go_page':                            break;
}

// put the output together
$xml .= "\t" . xmlEntry("subject",      $subject);
$xml .= "\t" . xmlEntry("htmlContents", "<div>" . $my_class->build_main_html() . "</div>");
if ($my_class->message) $xml .= "\t" . xmlEntry("message", $my_class->message);
echo createXmlHeader($fID) . $xml . createXmlFooter();
die;
?>