<?php
// +-----------------------------------------------------------------+
// |                   PhreeBooks Open Source ERP                    |
// +-----------------------------------------------------------------+
// | Copyright (c) 2008, 2009, 2010 PhreeSoft, LLC                   |
// | http://www.PhreeSoft.com                                        |
// +-----------------------------------------------------------------+
// | This program is free software: you can redistribute it and/or   |
// | modify it under the terms of the GNU General Public License as  |
// | published by the Free Software Foundation, either version 3 of  |
// | the License, or any later version.                              |
// |                                                                 |
// | This program is distributed in the hope that it will be useful, |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of  |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the   |
// | GNU General Public License for more details.                    |
// |                                                                 |
// | The license that is bundled with this package is located in the |
// | file: /doc/manual/ch01-Introduction/license.html.               |
// | If not, see http://www.gnu.org/licenses/                        |
// +-----------------------------------------------------------------+
//  Path: /modules/shipping/methods/fedex_v7/language/en_us/language.php
//

define('FEDEX_V7_MAX_SINGLE_BOX_WEIGHT', 150); // maximum single box weight for small package in pounds
define('FEDEX_V7_TRACKING_URL','http://www.fedex.com/Tracking?ascend_header=1&amp;clienttype=dotcom&amp;cntry_code=us&amp;language=english&amp;tracknumbers=');
// Set the defaults for Thermal printing
define('LABELORIENTATION_THERMAL', 'STOCK_4X6.75_LEADING_DOC_TAB'); 
define('LABELORIENTATION_PDF', 'PAPER_8.5X11_TOP_HALF_LABEL'); 
/* PAPER_4X6, PAPER_4X8, PAPER_4X9, PAPER_7X4.75, PAPER_8.5X11_BOTTOM_HALF_LABEL, PAPER_8.5X11_TOP_HALF_LABEL,
STOCK_4X6, STOCK_4X6.75_LEADING_DOC_TAB, STOCK_4X6.75_TRAILING_DOC_TAB, STOCK_4X8,
STOCK_4X9_LEADING_DOC_TAB, STOCK_4X9_TRAILING_DOC_TAB */
//define('DOCTABLOCATION', 'TOP'); // only valid for thermal labels (TOP, BOTTOM) - as it comes out of the printer
define('DOCTABCONTENT', 'Zone001'); // (Zone001, Barcoded)

define('MODULE_SHIPPING_FEDEX_V7_TEXT_TITLE', 'Federal Express');
define('MODULE_SHIPPING_FEDEX_V7_TITLE_SHORT', 'FedEx');
define('MODULE_SHIPPING_FEDEX_V7_TEXT_DESCRIPTION', 'Federal Express');

// key descriptions
define('MODULE_SHIPPING_FEDEX_V7_TITLE_DESC','Title to use for display purposes on shipping with FedEx.');
define('MODULE_SHIPPING_FEDEX_V7_ACCOUNT_NUMBER_DESC','Enter the FedEx account number to use for rate estimates');
define('MODULE_SHIPPING_FEDEX_V7_LTL_ACCOUNT_NUMBER_DESC','Enter the FedEx LTL account number to use for rate estimates. Leave this field blank if no LTL will be used.');
define('MODULE_SHIPPING_FEDEX_V7_AUTH_KEY_DESC','Enter the FedEx developer key provided by FedEx.');
define('MODULE_SHIPPING_FEDEX_V7_AUTH_PWD_DESC','Enter the FedEx developer password provided by FedEx.');
define('MODULE_SHIPPING_FEDEX_V7_METER_NUMBER_DESC','Enter the meter number supplied to you from FedEx.');
define('MODULE_SHIPPING_FEDEX_V7_TEST_MODE_DESC','Test/Production mode used for testing shipping labels');
define('MODULE_SHIPPING_FEDEX_V7_PRINTER_TYPE_DESC','Type of printer to use for printing labels. PDF for plain paper, Thermal for FedEx 2844 Thermal Label Printer (See Help file before selecting Thermal printer)');
define('MODULE_SHIPPING_FEDEX_V7_TYPES_DESC','Select the FEDEX services to be offered by default.');
define('MODULE_SHIPPING_FEDEX_V7_SORT_ORDER_DESC','Sort order of display. Lowest is displayed first.');

// Delivery Methods
define('MODULE_SHIPPING_FEDEX_V7_GND','Ground');
define('MODULE_SHIPPING_FEDEX_V7_GDR','Home Delivery');
define('MODULE_SHIPPING_FEDEX_V7_1DM','First Overnight');
define('MODULE_SHIPPING_FEDEX_V7_1DA','Priority Overnight');
define('MODULE_SHIPPING_FEDEX_V7_1DP','Standard Overnight');
define('MODULE_SHIPPING_FEDEX_V7_2DP','Express 2 Day');
define('MODULE_SHIPPING_FEDEX_V7_3DS','Express Saver');
define('MODULE_SHIPPING_FEDEX_V7_XDM','Int. First');
define('MODULE_SHIPPING_FEDEX_V7_XPR','Int. Priority');
define('MODULE_SHIPPING_FEDEX_V7_XPD','Int. Economy');
define('MODULE_SHIPPING_FEDEX_V7_1DF','1 Day Freight');
define('MODULE_SHIPPING_FEDEX_V7_2DF','2 Day Freight');
define('MODULE_SHIPPING_FEDEX_V7_3DF','3 Day Freight');
define('MODULE_SHIPPING_FEDEX_V7_GDF','Ground LTL Freight');

// General defines
define('SHIPPING_FEDEX_V7_VIEW_REPORTS','View Reports for ');
define('SHIPPING_FEDEX_V7_CLOSE_REPORTS','Closing Report');
define('SHIPPING_FEDEX_V7_MULTIWGHT_REPORTS','Multiweight Report');
define('SHIPPING_FEDEX_V7_HAZMAT_REPORTS','Hazmat Report');
define('SHIPPING_FEDEX_V7_SHIPMENTS_ON','FedEx Shipments on ');

define('SHIPPING_FEDEX_CURL_ERROR','There was an error communicating with the FedEx server:');
define('SHIPPING_FEDEX_V7_RATE_ERROR','FedEx rate response error: ');
define('SHIPPING_FEDEX_V7_RATE_CITY_MATCH','City doesn\'t match zip code.');
define('SHIPPING_FEDEX_V7_RATE_TRANSIT',' Day(s) Transit, arrives ');
define('SHIPPING_FEDEX_V7_TNT_ERROR',' FedEx Time in Transit Error # ');
define('SHIPPING_FEDEX_V7_DEL_ERROR','FedEx Delete Label Error: ');
define('SHIPPING_FEDEX_V7_DEL_SUCCESS','Successfully deleted the FedEx shipping label. Tracking # ');
define('SHIPPING_FEDEX_V7_TRACK_ERROR','FedEx Package Tracking Error: ');
define('SHIPPING_FEDEX_V7_TRACK_SUCCESS','Successfully Tracked Package Reference # ');
define('SHIPPING_FEDEX_V7_TRACK_STATUS','The package reference: %s is not delivered, the status is: (Code %s) %s.');
define('SHIPPING_FEDEX_V7_TRACK_FAIL','The following package reference number was deliverd after the expected date/time: ');
define('SHIPPING_FEDEX_V7_CLOSE_SUCCESS','Successfully closed the FedEx shipments for today.');

// Ship manager Defines
define('SRV_SHIP_FEDEX_V7','Ship a Package');
define('SRV_LOG_FEDEX_V7','Create a Shipment Entry');
define('SRV_TRACK_FEDEX_V7','Track Today\'s FedEx Shipments');
define('SRV_SHIP_FEDEX_RECP_INFO','Recepient Information');
define('SRV_SHIP_FEDEX_EMAIL_NOTIFY','Email Notifications');
define('SRV_SHIP_FEDEX_BILL_DETAIL','Billing Details');
define('SRV_SHIP_FEDEX_LTL_FREIGHT','LTL Freight');
define('SRV_FEDEX_LTL_CLASS','Freight Class');
define('TEXT_TRACK_CONFIRM','Confirm Delivery');

// FedEx ground delivery days definitions
define('ONE_DAY','One Day Transit');
define('TWO_DAYS','Two Days Transit');
define('THREE_DAYS','Three Days Transit');
define('FOUR_DAYS','Four Days Transit');
define('FIVE_DAYS','Five Days Transit');
define('SIX_DAYS','Six Days Transit');
define('SEVEN_DAYS','Seven Days Transit');
define('EIGHT_DAYS','Eight Days Transit');
define('NINE_DAYS','Nine Days Transit');
define('TEN_DAYS','Ten Days Transit');
define('ELEVEN_DAYS','Eleven Days Transit');
define('TWELVE_DAYS','Twelve Days Transit');
define('THIRTEEN_DAYS','Thirteen Days Transit');
define('FOURTEEN_DAYS','Fourteen Days Transit');
define('FIFTEEN_DAYS','Fifteen Days Transit');
define('SIXTEEN_DAYS','Sixteen Days Transit');
define('SEVENTEEN_DAYS','Seventeen Days Transit');
define('EIGHTEEN_DAYS','Eighteen Days Transit');
define('NINETEEN_DAYS','Nineteen Days Transit');
define('TWENTY_DAYS','Twenty Days Transit');
define('UNKNOWN','Unknown Transit Time');

// DO NOT EDIT BELOW THIS LINE
// FedEx WSDL paths
define('PATH_TO_TEST_RATE_WSDL',  DIR_FS_WORKING . 'methods/fedex_v7/TestRateService_v7.wsdl');
define('PATH_TO_TEST_SHIP_WSDL',  DIR_FS_WORKING . 'methods/fedex_v7/TestShipService_v7.wsdl');
define('PATH_TO_TEST_CLOSE_WSDL', DIR_FS_WORKING . 'methods/fedex_v7/TestCloseService_v2.wsdl');
define('PATH_TO_RATE_WSDL',       DIR_FS_WORKING . 'methods/fedex_v7/RateService_v7.wsdl');
define('PATH_TO_SHIP_WSDL',       DIR_FS_WORKING . 'methods/fedex_v7/ShipService_v7.wsdl');
define('PATH_TO_TRACK_WSDL',      DIR_FS_WORKING . 'methods/fedex_v7/TrackService_v4.wsdl');
define('PATH_TO_CLOSE_WSDL',      DIR_FS_WORKING . 'methods/fedex_v7/CloseService_v2.wsdl');
ini_set("soap.wsdl_cache_enabled", "0");

// constants used in rate screen to match carrier descrptions
define('fedex_v7_1DEam', MODULE_SHIPPING_FEDEX_V7_1DM);
define('fedex_v7_1Dam',  MODULE_SHIPPING_FEDEX_V7_1DA);
define('fedex_v7_1Dpm',  MODULE_SHIPPING_FEDEX_V7_1DP);
define('fedex_v7_2Dpm',  MODULE_SHIPPING_FEDEX_V7_2DP);
define('fedex_v7_3Dpm',  MODULE_SHIPPING_FEDEX_V7_3DS);
define('fedex_v7_GND',   MODULE_SHIPPING_FEDEX_V7_GND);
define('fedex_v7_GDR',   MODULE_SHIPPING_FEDEX_V7_GDR);
define('fedex_v7_I2DEam',MODULE_SHIPPING_FEDEX_V7_XDM);
define('fedex_v7_I2Dam', MODULE_SHIPPING_FEDEX_V7_XPR);
define('fedex_v7_I3D',   MODULE_SHIPPING_FEDEX_V7_XPD);
define('fedex_v7_1DFrt', MODULE_SHIPPING_FEDEX_V7_1DF);
define('fedex_v7_2DFrt', MODULE_SHIPPING_FEDEX_V7_2DF);
define('fedex_v7_3DFrt', MODULE_SHIPPING_FEDEX_V7_3DF);
define('fedex_v7_GndFrt',MODULE_SHIPPING_FEDEX_V7_GDF);

// guaranteed time delivery times
define('GUAR_TIME_A1','08:00:00'); // First Overnight
define('GUAR_TIME_A2','08:30:00');
define('GUAR_TIME_A4','09:00:00');
define('GUAR_TIME_A5','10:00:00');
define('GUAR_TIME_P1','10:30:00'); // Priority Overnight
define('GUAR_TIME_PR','12:00:00'); 
define('GUAR_TIME_CM','15:00:00'); // Standard Overnight
define('GUAR_TIME_2D','16:30:00'); // 2 Day and Saver
define('GUAR_TIME_GD','17:00:00'); // Ground
define('GUAR_TIME_RE','19:00:00'); // Residential

define('SHIPPING_FEDEX_ERROR_POSTAL_CODE','Postal Code is required to use the FedEx module');
define('SHIPPING_FEDEX_NO_PACKAGES','There were no packages to ship, either the total quantity or weight was zero.');
define('SHIPPING_FEDEX_DELETE_ERROR','Error - Cannot delete the shipment, not enough information provided.');
define('SHIPPING_FEDEX_CANNOT_DELETE','Error - Cannot delete a shipment whose label was generated prior to today.');
define('SHIPPING_FEDEX_LABEL_DELETED','FedEx Label - Deleted');
define('SHIPPING_FEDEX_END_OF_DAY','FedEx - End of Day Close');

?>