<?php
// +-----------------------------------------------------------------+
// |                   PhreeBooks Open Source ERP                    |
// +-----------------------------------------------------------------+
// | Copyright (c) 2008, 2009, 2010 PhreeSoft, LLC                   |
// | http://www.PhreeSoft.com                                        |
// +-----------------------------------------------------------------+
// | This program is free software: you can redistribute it and/or   |
// | modify it under the terms of the GNU General Public License as  |
// | published by the Free Software Foundation, either version 3 of  |
// | the License, or any later version.                              |
// |                                                                 |
// | This program is distributed in the hope that it will be useful, |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of  |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the   |
// | GNU General Public License for more details.                    |
// |                                                                 |
// | The license that is bundled with this package is located in the |
// | file: /doc/manual/ch01-Introduction/license.html.               |
// | If not, see http://www.gnu.org/licenses/                        |
// +-----------------------------------------------------------------+
//  Path: /modules/shipping/pages/popup_label_mgr/pre_process.php
//

/**************   Check user security   *****************************/
$security_level = $_SESSION['admin_security'][SECURITY_ID_SHIPPING_MANAGER];
if ($security_level == 0) { // no permission to enter page, error and redirect to home page
  $messageStack->add_session(ERROR_NO_PERMISSION, 'error');
  gen_redirect(html_href_link(FILENAME_DEFAULT, '', 'SSL'));
}

/**************   page specific initialization  *************************/
gen_pull_language($module);
gen_pull_language('contacts');
require_once(DIR_FS_WORKING . 'defaults.php');

$method = $_GET['method'];

$cal_ship = array(
  'name'      => 'dateShipped',
  'form'      => 'label_mgr',
  'fieldname' => 'ship_date',
  'imagename' => 'deliver_date',
  'default'   => isset($sInfo->ship_date) ? gen_locale_date($sInfo->ship_date) : date(DATE_FORMAT),
  'params'    => array('align' => 'left'),
);
$cal_exp = array(
  'name'      => 'dateExpected',
  'form'      => 'label_mgr',
  'fieldname' => 'deliver_date',
  'imagename' => 'btn_date_2',
  'default'   => isset($sInfo->deliver_date) ? gen_locale_date($sInfo->deliver_date) : date(DATE_FORMAT),
  'params'    => array('align' => 'left'),
);

load_method_language(DIR_FS_MODULES . 'shipping/methods/', $method);
include_once (DIR_FS_MODULES . 'shipping/methods/' . $method . '/label_mgr/pre_process.php');

?>